Subject: Re: [PATCH 1/2] gitk: re-generate German po file from current source code

From: Paul Mackerras <[email-masked]>
Date: Mon, 13 Apr 2020 17:34:56 +1000

On Mon, Feb 10, 2020 at 10:57:05PM +0100, Christian Stimming wrote:
> So that subsequent translation updates have an up-to-date
> starting point.
> 
> Signed-off-by: Christian Stimming <[email-masked]>

I tried to apply this and the following patch, but this patch had a
lot of rejects.  For example, in this hunk:

> @@ -21,11 +21,11 @@ msgstr ""
>  msgid "Couldn't get list of unmerged files:"
>  msgstr "Liste der nicht zusammengeführten Dateien nicht gefunden:"

the u with umlaut appears as a single 0xfc byte, but in the file
po/de.po, it appears as a sequence of two bytes: 0xc3 0xbc, and so
patch considers that the lines don't match.  I have my locale set to
en_AU.UTF8.  Any ideas why the context in your patch would be
different to what I see in the checked-out file?

Paul.